Subject: bug#44554: 27.1; Feature request: SRFI-62 style comments for Emacs Lisp.

From: Vladimir Nikishkin <[email-masked]>
Date: Wed, 11 Nov 2020 22:18:01 +0800

Well, as a "poor man's substitute". A quoted expression is still an
expression, and a macro can't expand to nothing, it will always expand to
at least an empty list.

I would still prefer a robust solution, even if it takes longer.

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

Jean Louis <[email-masked]> 于 2020年11月11日周三 21:57写道：

> * Vladimir Nikishkin <[email-masked]> [2020-11-11 11:19]:
> > Just to clarify,
> >
> > I am not asking that exactly the syntax of srfi-62 as it is be added.
> > (Although Emacs Lisp already uses #'symbol as a reader-syntax switch,
> > so I suspect that it is possible)
> > I am asking for _some_ syntax to comment out valid sexps, whichever
> > fits Emacs Lisp most.
>
> Would this work?
>
> '(
>
> )
>
> Or there could be some macro to comment out anything:
>
> (do-not-process
>
> Put anything you wish here.
>
> )
>
>